NP {cheddar} | R Documentation

## Single node properties

### Description

Returns a node property.

### Usage

    NP(community, property)

### Arguments

`community` | an object of class `Community`.
`property` | the name of the property to return.

### Details

This function is named NP for Node Property. It returns a vector containing the value of `property` for every node. The returned vector is named by node. If the name is not a property, a vector of `NA` is returned.

### Value

A vector of length `NumberOfNodes`.

### Author(s)

Lawrence Hudson

### See Also

`NPS`, `NumberOfNodes`

### Examples

    data(TL84)

    NP(TL84, 'M')

    # Returns a vector of NA
    NP(TL84, 'not a property')

[Package cheddar version 0.1-633 Index]